/*
 * Copyright (C) 2000 John David Ratliff, Jason Andrew Fisk, and Hongwei Guan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package driver;

import datatypes.List;
import datatypes.Dictionary;

import datastructures.BinarySearchTree;
import datastructures.DoublyLinkedList;

import tools.LineEditor;

public class SimpleEditorDriver {
	public static void main(String[] args) {
		Dictionary dic = new BinarySearchTree();
		List list = new DoublyLinkedList();
		AutomationObject auto = new AutomationObject();
		LineEditor editor = new LineEditor(list, dic, auto);
	}
}
